Bug 1120950 - [Docs][PRD3.5][Feature] [Sysprep] Users can choose to disable or enable SPICE copy and paste actions
Summary: [Docs][PRD3.5][Feature] [Sysprep] Users can choose to disable or enable SPICE...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Lucy Bopf
QA Contact: Andrew Burden
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 03:32 UTC by Andrew Dahms
Modified: 2014-09-19 01:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-19 01:33:03 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Andrew Dahms 2014-07-18 03:32:32 UTC
Users can now enable or disable SPICE clipboard copy and paste and SPICE file transfer via two new check boxes in the 'Console' tab of the New Virtual Machine and Edit Virtual machine windows.

This will involve adding one or two lines for these check boxes to the tables outlining the settings for the New Virtual Machine and Edit Virtual Machine windows.

Note: This bug is not really a sysprep feature, but falls under the same umbrella of virtual machine configuration options and has been tagged this way to keep all related bugs together.

PRD Bug: https://bugzilla.redhat.com/show_bug.cgi?id=800155

Comment 1 Lucy Bopf 2014-08-26 05:10:09 UTC
Updated the topic 'Virtual Machine Console Settings Explained' [10395] to include in the table the 'Enable SPICE clipboard copy and paste' check box.

As of today, the two new check boxes exist in my 3.5 environment, and are selected by default. The 'copy and paste' check box can be deselected, but the 'Enable SPICE file transfer' check box is greyed out. Hovering a mouse over this option produces a pop-up message: “This option is not supported in Cluster version 3.5”. 

The RFE bug linked in the overview above discusses only the option of disabling copy and paste; I have not been able to locate a separate RHEV-specific bug for the file transfer option (though I have seen it discussed in the context of RHEL 6).

I will check again for the availability of this option when updated builds are available through yum.

Comment 2 Lucy Bopf 2014-09-05 00:52:53 UTC
Documentation Link
------------------------------
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5-Beta/html-single/Administration_Guide/index.html#Virtual_Machine_Console_settings_explained

What Changed
------------------------------
The following topic was updated to include the 'Enable SPICE clipboard copy and paste' check box, and its function:

Virtual Machine Console Settings Explained [10395-702878]

Updated Revision History: [34613-704535]

NVR
------------------------------
Red_Hat_Enterprise_Virtualization-Administration_Guide-3.5-Beta-web-en-US-3.5-14.el6eng

Moving to ON_QA.


NOTE: At the time of changing this bug status, and after updating my testing environment to include the most recent builds, the 'Enable SPICE file transfer' check box is still greyed out with the message "This option is not supported in Cluster version 3.5". It has been excluded from the scope of this bug.


Note You need to log in before you can comment on or make changes to this bug.